import React, { Component } from 'react'
import './index.scss'

export default class CommonContainer extends Component {
  constructor(props) {
    super(props)
  }
  render() {
    return (
      <div className='common_container'>
        <div className='container_top'></div>
        <div className='container_content'>
          <div className='title_container'>
            <i></i>
            <p>{this.props.title}</p>
            <i></i>
          </div>
          {
            React.Children.map(this.props.children, function (child) {
              return <>{child}</>;
            })
          }
        </div>
        <div className='container_bottom'></div>
      </div>
    )
  }
}
